Parameter | Description |
|---|---|
catalog_idstring Required | Unique identifier for the catalog where you want to place the inventory ad(s). To fetch catalog IDs: |
store_codestring Required | Provide the merchant's code for the local store, unique within the merchant's catalog. |
namestring Required | Name of the store selling the inventory. |
countrystring Required | Select the two-digit ISO 3166-1 alpha-2 code for the country where the store is located. |
curl -X POST "https://api.pinterest.com/v5/catalogs/local/stores/batch" \ -H "Authorization: Bearer pina_ABCD1234..." \ -H "Content-Type: application/json" \ -d '[ { "store_code": "store_1", "name": "Sunnyvale Store", "address_primary": "123 Johnson St", "address_secondary": "Suite 100", "city": "Sunnyvale", "region": "CA", "postal_code": "94043", "country": "US", "latitude": -30.21, "longitude": 50.45 }, { "store_code": "store_2", "name": "San Francisco Store", "address_primary": "321 Hayes St", "city": "San Franciscco", "region": "CA", "postal_code": "94114", "country": "US", "latitude": -30.00, "longitude": 49.30 } ]'
CREATEUPSERTUPDATEDELETEParameter | Description |
|---|---|
operationstring Required | Pass CREATEPass UPSERTPass UPDATEPass DELETE |
item_idstring Required | Provide your unique identifier for the product. Note that item_idstore_code |
store_codestring Required | Provide the code for your store selling the inventory, unique within your catalog. Note that item_idstore_code |
namestring Required | Provide the name of the store selling the inventory. |
attributesobject Required for CREATEUPSERTUPDATE | Container for metadata about the product item. |
attributes.pricestring Required for CREATEUPSERTOptional for UPDATE | Provide the numeric amount and ISO 4217 currency code. Example: 50 EUR25 USDIf you do not provide a currency code, the default is USD |
attributes.sale_pricestring Optional | Provide the numeric amount and and ISO 4217 currency code. Example: 50 EUR25 USDIf you do not provide a currency code, the default is USD |
attributes.availabilitystring Required for CREATEUPSERTOptional for UPDATE | Select whether the item is in_stockout_of_stockOr, if the item is not yet available but can be preordered, select preorder |
attributes.ad_linkstring Optional | Provide a hyperlink to the ad on your site. |
curl -X POST "https://api.pinterest.com/v5/catalogs/local/inventory_items/batch" \ -H "Authorization: Bearer pina_1234ABCD..." \ -H "Content-Type: application/json" \ -d '{ "operations": [ { "operation": "CREATE", "item_id": "local_item_5_7_1", "store_code": "store_1", "attributes": { "price": "29.99 USD", "sale_price": "24.99 USD", "availability": "in stock", "ad_link": "https://examplelink1.com" } }, { "operation": "CREATE", "item_id": "local_item_5_7_1", "store_code": "store_2", "attributes": { "price": "39.99 USD", "sale_price": "30.99 USD", "availability": "out of stock", "ad_link": "https://examplelink2.com" } } ] }'
batch_idstatus| Request status | Description |
|---|---|
PROCESSING | Ingestion of the entire batch is happening asynchronously. |
FAILED | The endpoint did not ingest any items in the batch request because of an error or issue with the request itself or with items in the batch. |
COMPLETED | The ingestion process completed, and at least one item in the batch was ingested successfully. |
status| Item status | Description |
|---|---|
PROCESSING | Item is being processed asynchronously. |
FAILURE | Ingetion of the item failed. |
SUCCESS | The item was ingested successfully. An ingested item may return a warning |
Field | Description |
|---|---|
batch_idstring Required | Unique identifier of the batch request. Use it to track whether the request has completed, failed, or is still in progress. |
item_idstring Required | Provide your unique unique identifier for the product. |
statusstring Required | Status of the operation specified in the request. |
operation_resultsarray of objects Required | Container for information about each item included in the batch operation. |
operation_results.item_idobject Required | Identifer for an inventory item included in the batch operation. |
operation_results.store_codeobject Required | Code for your store selling the item in parent object. |
operation_results.errorsarray of objects Required | Container for information about errors causing operation to fail for the inventory item. |
operation_results.errorsattributestring Optional | Inventory attribute of the affected item, such as priceavailability |
operation_results.errors.codestring Required | Event code for the error. |
operation_results.errors.messagestring Required | Explanation of the error |
operation_results.warnings.array of objects Required | Container for information about warnings for issues that do not cause the operation to fail, but should be addressed in case they cause other potential problems. Structure and child objects are similar to those of errors |
PROCESSING{ "batch_id": "6895362920532313825", "created_time": "2026-02-05T02:04:00.540000", "status": "PROCESSING", "operation_results": [ { "supplemental_type": "LOCAL_INVENTORY", "item_id": "local_item_5_7_1", "store_code": "store_1", "errors": [], "warnings": [], "status": "PROCESSING" }, { "supplemental_type": "LOCAL_INVENTORY", "item_id": "local_item_5_7_1", "store_code": "store_2", "errors": [ { "attribute": "PRICE", "code": 10102, "message": "Some local inventory product data was not published due to incorrect price formatting. Update the prices and ensure that the values are formatted using the standard ISO-4217 code for your currency. Examples: 1.00USD" } ], "warnings": [], "status": "FAILURE" } ] }
Parameter | Description |
|---|---|
catalog_idstring Required | Unique identifier for the catalog where attempted to place the inventory items. |
batch_idstring Required | Unique identifer for the batch operation request that you are inquiring about. Returned by the endpoint when you sent the batch operation request. |
curl -X GET "https://api.pinterest.com/v5/catalogs/supplemental_items/batch/6895362920532313825" \ -H "Authorization: Bearer pina_ABCD1234..." \ -H "Content-Type: application/json"
{ "batch_id": "6895362920532313825", "created_time": "2026-02-05T02:04:00", "status": "COMPLETED", "operation_results": [ { "supplemental_type": "LOCAL_INVENTORY", "item_id": "local_item_5_7_1", "store_code": "store_1", "status": "SUCCESS" }, { "supplemental_type": "LOCAL_INVENTORY", "item_id": "local_item_5_7_1", "store_code": "store_2", "status": "FAILURE", "errors": [ { "attribute": "PRICE", "code": 10102, "message": "Some local inventory product data was not published due to incorrect price formatting. Update the prices and ensure that the values are formatted using the standard ISO-4217 code for your currency. Examples: 1.00USD" } ] } ], "completed_time": "2026-02-05T02:04:01" }